package com.goafanti.common.dao;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.AchievementInterest;

public interface AchievementInterestMapper {
    int deleteByPrimaryKey(String id);

    int insert(AchievementInterest record);

    int insertSelective(AchievementInterest record);

    AchievementInterest selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(AchievementInterest record);

    int updateByPrimaryKey(AchievementInterest record);

	AchievementInterest selectAchievementInterestByUidAndAchievementId(String uid, String id);

	int checkUidAndDid(@Param("uid")String uid, @Param("id")String id);

	int deleteInterest(@Param("uid")String uid, @Param("objectId")String objectId);
	
}